name: snap-store
version: 41.3-72-g80e7130
summary: Snap Store
description: |
  Snap Store allows you to find and install new applications and remove
  existing installed applications.

  Snap Store showcases featured and popular applications with useful
  descriptions and multiple screenshots per application.
  Applications can be found either through browsing the list of categories
  or by searching.
architectures:
- amd64
base: core22
assumes:
- command-chain
- snapd2.43
apps:
  snap-store:
    command: usr/bin/snap-store
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - appstream-metadata
    - fwupd
    - password-manager-service
    - network
    - network-manager
    - network-status
    - packagekit-control
    - snapd-control
    - system-observe
    - upower-observe
    - dot-snap-auth-json
    - hostfs-usr-share-applications
    environment:
      GNOTIFICATION_BACKEND: freedesktop
    command-chain:
    - snap/command-chain/desktop-launch
  ubuntu-software:
    command: usr/bin/snap-store
    autostart: ubuntu-software-service.desktop
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - appstream-metadata
    - fwupd
    - password-manager-service
    - network
    - network-manager
    - network-status
    - packagekit-control
    - snapd-control
    - system-observe
    - upower-observe
    - dot-snap-auth-json
    - hostfs-usr-share-applications
    environment:
      GNOTIFICATION_BACKEND: freedesktop
    command-chain:
    - snap/command-chain/desktop-launch
    - autostart/setup-autostart
  ubuntu-software-local-file:
    command: usr/bin/snap-store
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - appstream-metadata
    - fwupd
    - password-manager-service
    - network
    - network-manager
    - network-status
    - packagekit-control
    - snapd-control
    - system-observe
    - upower-observe
    - dot-snap-auth-json
    - hostfs-usr-share-applications
    environment:
      GNOTIFICATION_BACKEND: freedesktop
    command-chain:
    - snap/command-chain/desktop-launch
confinement: strict
grade: stable
environment:
  LD_LIBRARY_PATH: $SNAP/lib:$SNAP/usr/lib:$SNAP/usr/lib/x86_64-linux-gnu:$SNAP_LIBRARY_PATH:$LD_LIBRARY_PATH
  GSETTINGS_SCHEMA_DIR: $SNAP/usr/share/glib-2.0/schemas
  GIO_EXTRA_MODULES: $SNAP/usr/lib/x86_64-linux-gnu/gio/modules
  GS_SELF_TEST_OS_RELEASE_FILENAME: /var/lib/snapd/hostfs/etc/os-release
  SNAP_DESKTOP_RUNTIME: $SNAP/gnome-platform
  GTK_USE_PORTAL: '1'
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  hostfs-usr-share-applications:
    interface: system-files
    read:
    - /var/lib/snapd/hostfs/usr/share/applications
  dot-snap-auth-json:
    interface: personal-files
    read:
    - $HOME/.snap/auth.json
  desktop:
    mount-host-font-cache: false
  gtk-3-themes:
    interface: content
    target: $SNAP/data-dir/themes
    default-provider: gtk-common-themes
  icon-themes:
    interface: content
    target: $SNAP/data-dir/icons
    default-provider: gtk-common-themes
  sound-themes:
    interface: content
    target: $SNAP/data-dir/sounds
    default-provider: gtk-common-themes
  gnome-42-2204:
    interface: content
    target: $SNAP/gnome-platform
    default-provider: gnome-42-2204
slots:
  snap-store:
    interface: dbus
    bus: session
    name: io.snapcraft.Store
  packagekit-svc:
    bus: session
    interface: dbus
    name: org.freedesktop.PackageKit
hooks:
  configure:
    command-chain:
    - snap/command-chain/hooks-configure-fonts
    plugs:
    - desktop
layout:
  /usr/pkg/share/xml/iso-codes:
    symlink: $SNAP/gnome-platform/usr/share/xml/iso-codes
  /etc/PackageKit:
    bind: $SNAP/etc/PackageKit
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.1:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.1
  /usr/share/xml/iso-codes:
    bind: $SNAP/gnome-platform/usr/share/xml/iso-codes
  /usr/share/libdrm:
    bind: $SNAP/gnome-platform/usr/share/libdrm
